Bug 1666197 - free(): double free detected in tcache 2
Summary: free(): double free detected in tcache 2
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krita
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-15 07:55 UTC by Kingsquee
Modified: 2019-01-24 04:30 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-01-24 04:30:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-72488 None None None 2019-01-15 08:15 UTC
KDE Software Compilation 401988 None None None 2019-01-15 07:55 UTC
KDE Software Compilation 403225 None None None 2019-01-15 07:55 UTC

Description Kingsquee 2019-01-15 07:55:44 UTC
Description of problem:
Krita crashes upon doing anything.

Version-Release number of selected component (if applicable):
Fedora: 29
Krita: 4.1.7.101
KDE Frameworks Version: 5.53.0
Qt Version: 5.11.3

How reproducible:
Sometimes doesn't happen. Might be related to clicking on canvas?

Related bug reports on the KDE bugtracker:
https://bugs.kde.org/show_bug.cgi?id=403225
https://bugs.kde.org/show_bug.cgi?id=401988

Steps to Reproduce:
1. Open Krita 4.1.7.101
2. Try to open or create a file (say, File -> New -> Custom Document -> (800x600)
3. Watch it crash

Actual results:
Crashing

Expected results:
Not Crashing

Additional info:
$ krita
krita.lib.pigment: Illegal Gimp palette file:  "/home/[redacted]/.local/share/krita/palettes/Palette.gpl"
QPainter::begin: Paint device returned engine == 0, type: 3
krita.lib.widgets: Loading resource  "/home/[redacted]/.local/share/krita/palettes/Palette.gpl" failed. "ko_palettes"
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Bold")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Light")
krita.general: Could not find font QVariant(QString, "Source Sans Pro") with style QVariant(QString, "Regular")
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/edit-clear
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/zoom-out
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/rotate-canvas-left
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/opacity-decrease
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/opacity-increase
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/lightness-increase
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/lightness-decrease
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/zoom-in
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/rotation-reset
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/rotate-canvas-right
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/brushsize-decrease
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/brushsize-increase
file:///usr/lib64/qt5/qml/org/krita/sketch/components/Button.qml:84:9: QML Image: Failed to get image from provider: image://icon/preset-switcher
krita.lib.flake: "InteractionTool" : action "object_order_raise" conflicts with canvas action "rotate_canvas_right" shortcut: "Ctrl+]"
krita.lib.flake: "InteractionTool" : action "object_order_lower" conflicts with canvas action "rotate_canvas_left" shortcut: "Ctrl+["
krita.lib.flake: "InteractionTool" : action "object_order_raise" conflicts with canvas action "rotate_canvas_right" shortcut: "Ctrl+]"
krita.lib.flake: "InteractionTool" : action "object_order_lower" conflicts with canvas action "rotate_canvas_left" shortcut: "Ctrl+["
free(): double free detected in tcache 2
Aborted (core dumped)

Comment 1 Kingsquee 2019-01-15 08:15:49 UTC
This may also be related: https://bugreports.qt.io/browse/QTBUG-72488

Comment 2 Rex Dieter 2019-01-15 14:28:33 UTC
thanks for your report.

We'd applied the patch/workaround, but it requires an extra rebuild which is underway now.

Comment 3 Fedora Update System 2019-01-15 18:56:02 UTC
krita-4.1.7-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6472b7a60

Comment 4 Fedora Update System 2019-01-16 03:31:31 UTC
krita-4.1.7-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e6472b7a60

Comment 5 Fedora Update System 2019-01-24 04:30:56 UTC
krita-4.1.7-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.